% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/rolling_ball.R
\name{rolling_ball_morphology}
\alias{rolling_ball_morphology}
\title{Enhanced Rolling Ball with Mathematical Morphology}
\usage{
rolling_ball_morphology(x, radius, smooth = TRUE)
}
\arguments{
\item{x}{Numeric vector containing the spectrum/signal values}

\item{radius}{Radius of the structuring ball}

\item{smooth}{Apply additional smoothing (logical)}
}
\value{
A list with three components:
  \describe{
    \item{baseline}{Numeric vector containing the estimated baseline values using morphological operations}
    \item{corrected}{Numeric vector containing the baseline-corrected signal (original - baseline)}
    \item{original}{Numeric vector containing the original input signal}
  }
}
\description{
More sophisticated version of rolling ball using mathematical morphology concepts
}
